kdk::KCustomDateEdit(3)

NAME
kdk::KCustomDateEdit

SYNOPSIS

Inherits QDateTimeEdit.

  Signals

void changeDate ()

  Public Member Functions

KCustomDateEdit (QWidget *parent=nullptr)
void showCalendar ()
触发日历控件显示
void setShowLunar (bool showLunar)
是否显示农历
void updateStyle (bool isDark)
适应系统风格

  Protected Member Functions

void mousePressEvent (QMouseEvent *event) override
void paintEvent (QPaintEvent *e) override
bool eventFilter (QObject *obj, QEvent *event) override

Member Function Documentation

  void kdk::KCustomDateEdit::setShowLunar (bool showLunar)

是否显示农历

Parameters
    showLunar

  void kdk::KCustomDateEdit::updateStyle (bool isDark)

适应系统风格

Parameters
    isDark：是否深色模式

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.